{
  "name": "servr",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "start": "node node_modules/react-native/local-cli/cli.js start",
    "clear-android": "cd android/ && ./gradlew clean && ./gradlew cleanBuildCache && cd ../",
    "run-android:staging": "ENVFILE=.env.staging react-native run-android",
    "run-android:production": "ENVFILE=.env.production react-native run-android",
    "release-staging:staging": "cd ./android && ENVFILE=.env.staging ./gradlew app:assembleRelease && cd ..",
    "release-staging:production": "cd ./android && ENVFILE=.env.production ./gradlew app:assembleRelease && cd ..",
    "bundle-staging:staging": "cd ./android && ENVFILE=.env.staging ./gradlew app:bundleRelease && cd ..",
    "bundle-staging:production": "cd ./android && ENVFILE=.env.production ./gradlew app:bundleRelease && cd ..",
    "pretty": "prettier --semi true --single-quote --trailing-comma all --tab-width 4 --write 'src/**/*.{ts,tsx}'",
    "watchman-fix": "echo fs.inotify.max_user_watches=524288 | sudo tee -a /etc/sysctl.conf && sudo sysctl -p",
    "test": "jest",
    "postinstall": "npx jetify"
  },
  "lint-staged": {
    "*.{ts,tsx}": [
      "yarn pretty",
      "git add"
    ]
  },
  "dependencies": {
    "0.": "^1.0.0",
    "@davidgovea/react-native-wheel-datepicker": "^1.0.1",
    "@react-native-community/async-storage": "^1.5.0",
    "@react-native-community/slider": "^1.1.4",
    "axios": "^0.19.0",
    "date-fns": "^1.30.1",
    "lodash": "^4.17.11",
    "moment": "^2.29.1",
    "numeral": "^2.0.6",
    "paste": "0.0.0",
    "react": "16.8.3",
    "react-dom": "^16.8.6",
    "react-native": "0.59.9",
    "react-native-animatable": "^1.3.2",
    "react-native-awesome-card-io": "^0.8.2",
    "react-native-calendars": "^1.203.0",
    "react-native-config": "^1.4.1",
    "react-native-confirmation-code-field": "^3.6.0",
    "react-native-debugger": "^1.1.0",
    "react-native-dropdown-picker": "^3.6.8",
    "react-native-extra-dimensions-android": "^1.2.5",
    "react-native-firebase": "~5.5.3",
    "react-native-gesture-handler": "^1.4.0",
    "react-native-gifted-chat": "^0.9.11",
    "react-native-image-pan-zoom": "^2.1.12",
    "react-native-image-picker": "^0.28.1",
    "react-native-lightbox": "^0.8.1",
    "react-native-linear-gradient": "^2.5.4",
    "react-native-masked-text": "^1.12.3",
    "react-native-modal": "^11.1.0",
    "react-native-navigation": "^2.21.0-experimental.6",
    "react-native-reanimated": "^1.9.0",
    "react-native-shadow": "^1.2.2",
    "react-native-signature-canvas": "^1.4.2",
    "react-native-signature-capture": "^0.4.10",
    "react-native-snap-carousel": "^3.7.5",
    "react-native-svg": "^9.6.2",
    "react-native-vector-icons": "^6.5.0",
    "react-native-view-shot": "^3.1.2",
    "react-redux": "^7.1.0",
    "redux": "^4.0.1",
    "redux-logger": "^3.0.6",
    "redux-logic": "^2.1.1",
    "redux-persist": "^5.10.0",
    "redux-persist-transform-filter": "^0.0.18",
    "reselect": "^4.0.0",
    "rxjs": "^6.5.2",
    "sendbird": "^3.0.103",
    "uuid": "^3.3.2"
  },
  "devDependencies": {
    "@babel/core": "^7.4.5",
    "@babel/runtime": "^7.4.5",
    "@types/enzyme": "^3.9.3",
    "@types/enzyme-adapter-react-16": "^1.0.5",
    "@types/jest": "^24.0.15",
    "@types/lodash": "^4.14.134",
    "@types/numeral": "^0.0.25",
    "@types/react": "^16.8.20",
    "@types/react-native": "^0.57.63",
    "@types/react-native-calendars": "^1.20.7",
    "@types/react-native-linear-gradient": "^2.4.0",
    "@types/react-native-snap-carousel": "^3.7.3",
    "@types/react-native-vector-icons": "^6.4.1",
    "@types/react-redux": "^7.1.0",
    "@types/react-test-renderer": "^16.8.2",
    "@types/redux-logger": "^3.0.7",
    "@types/uuid": "^3.4.5",
    "babel-jest": "^24.8.0",
    "enzyme": "^3.10.0",
    "enzyme-adapter-react-16": "^1.14.0",
    "enzyme-to-json": "^3.3.5",
    "graceful-fs": "^4.2.4",
    "husky": "^2.7.0",
    "jest": "^24.8.0",
    "jetifier": "^1.6.6",
    "lint-staged": "^8.2.1",
    "metro-react-native-babel-preset": "^0.54.1",
    "prettier": "^1.18.2",
    "react-test-renderer": "16.8.3",
    "redux-logic-test": "^2.0.0",
    "ts-jest": "^24.0.2",
    "tslint": "^5.17.0",
    "tslint-config-prettier": "^1.18.0",
    "tslint-plugin-prettier": "^2.0.1",
    "tslint-react": "^4.0.0",
    "typescript": "^3.5.2"
  },
  "jest": {
    "preset": "react-native"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  }
}
